import Element from '../element/Element';
import IHTMLElement from './IHTMLElement';
import CSSStyleDeclaration from '../../css/CSSStyleDeclaration';
/**
 * HTMLElement.
 */
export default class HTMLElement extends Element implements IHTMLElement {
    readonly offsetHeight = 0;
    readonly offsetWidth = 0;
    readonly offsetLeft = 0;
    readonly offsetTop = 0;
    readonly clientHeight = 0;
    readonly clientWidth = 0;
    private _style;
    /**
     * Returns tab index.
     *
     * @return Tab index.
     */
    get tabIndex(): number;
    /**
     * Returns tab index.
     *
     * @param tabIndex Tab index.
     */
    set tabIndex(tabIndex: number);
    /**
     * Returns inner text.
     *
     * @return Text.
     */
    get innerText(): string;
    /**
     * Sets inner text.
     *
     * @param text Text.
     */
    set innerText(text: string);
    /**
     * Returns style.
     *
     * @return Style.
     */
    get style(): CSSStyleDeclaration;
    /**
     * Triggers a click event.
     */
    click(): void;
    /**
     * Triggers a blur event.
     */
    blur(): void;
    /**
     * Triggers a focus event.
     */
    focus(): void;
}
